Skip to main content
`Ctrl`+`K`

# DMForestGetTopology

Get a string describing the topology of a `DMFOREST`.

## Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestGetTopology(DM dm, DMForestTopology *topology)

Not Collective

## Input Parameter

- dm - the forest

## Output Parameter

- topology - the topology of the forest (e.g., ‘cube’, ‘shell’)

## See Also

`DM`, `DMFOREST`, `DMForestSetTopology()`

## Level

intermediate

## Location

src/dm/impls/forest/forest.c

Index of all DMForest routines
Table of Contents for all manual pages
Index of all manual pages